Wednesday, 1 August 2007

OpenRat vuln.

###############################################
Vuln. discovered by : r0t
Date: 1 August 2007
vendor:www.openrat.de
affected versions:OpenRat CMS 0.8-beta1 and previous
###############################################


OpenRat contains a flaw that allows a remote Cross-Site Scripting attacks.Input passed to the "subaction" and "action" parameter in "index.php" isn't properly sanitised before being returned to the user.
This can be exploited to execute arbitrary HTML and script code in a user's browser session in context of an affected site.


bonus:

by testing "action" parameter attacker will get full path disclosure.

If you can log in, you can check also "id" parameter for SQL injection.

###############################################
Solution:
Edit the source code to ensure that input is properly sanitised.
###############################################

3 comments:

Braunbär said...

Why didn't you inform the vendor?

I do not think that this bug is exploitable, because if the instantiation of the Action class fails, the script is canceled.

Version 0.8-beta-2 is not affected, as this version cachess the action config.

flob said...

it would be great to inform the vedor first!

flob said...

Damn, please inform the vendor first, then go and publish it...